{
	"project": {
		"name": "校园报修",
		"description": "",
		"details": {
			"variable": [],
			"servers": [
				{
					"server_id": "default",
					"name": "默认服务"
				}
			],
			"markList": [
				{
					"key": "developing",
					"name": "开发中",
					"color": "#3A86FF",
					"is_default": true
				},
				{
					"key": "complated",
					"name": "已完成",
					"color": "#2BA58F",
					"is_default": true
				},
				{
					"key": "modifying",
					"name": "需修改",
					"color": "#EC4646",
					"is_default": true
				}
			],
			"script": {
				"pre_script": "",
				"test": ""
			},
			"request": {
				"query": [
					{
						"is_checked": "1",
						"type": "Text",
						"key": "",
						"value": "",
						"description": ""
					}
				],
				"header": [
					{
						"is_checked": "1",
						"type": "Text",
						"key": "",
						"value": "",
						"description": ""
					}
				],
				"body": [
					{
						"is_checked": "1",
						"type": "Text",
						"key": "",
						"value": "",
						"description": ""
					}
				]
			}
		}
	},
	"apis": [
		{
			"target_type": "folder",
			"name": "校园报修管理端",
			"mark": "developing",
			"sort": 1,
			"tags": [],
			"request": {
				"description": ""
			},
			"children": [
				{
					"target_type": "api",
					"name": "注册接口",
					"mark": "complated",
					"sort": 1,
					"tags": [],
					"method": "POST",
					"mock": "{}",
					"mock_url": "/repair/api/login/Register",
					"request": {
						"url": "{{url}}/repair/api/login/Register",
						"description": "",
						"event": {
							"pre_script": "",
							"test": ""
						},
						"body": {
							"mode": "json",
							"parameter": [
								{
									"description": "",
									"is_checked": 1,
									"key": "files",
									"type": "File",
									"not_null": "1",
									"field_type": "File",
									"value": "D:\\upload\\3d323299-583e-4765-b9d5-50fdf40cdc1a.jpg"
								}
							],
							"raw": "{\r\n    \"account\": \"admin\",\r\n    \"password\": \"123456\",\r\n    \"phone\":\"123456789\",\r\n    \"username\":\"ceshi\",\r\n    \"cardNumber\":\"sdadasdasad\",\r\n    \"schoolId\":\"1\"\r\n}",
							"raw_para": [],
							"raw_schema": []
						}
					},
					"response": {
						"success": {
							"raw": "",
							"parameter": [],
							"expect": {
								"name": "成功",
								"isDefault": -1,
								"code": 200,
								"contentType": "json",
								"verifyType": "mock",
								"mock": "{}",
								"schema": {
									"type": "object"
								}
							}
						},
						"error": {
							"raw": "",
							"parameter": [],
							"expect": {
								"name": "失败",
								"isDefault": -1,
								"code": 201,
								"contentType": "json",
								"verifyType": "mock",
								"mock": "",
								"schema": {
									"type": "object"
								}
							}
						}
					},
					"children": []
				},
				{
					"target_type": "api",
					"name": "系统设置数据查询",
					"mark": "complated",
					"sort": 2,
					"tags": [],
					"method": "GET",
					"mock": "{}",
					"mock_url": "/repair/api/repairSystemSetting/queryRepairSystemSetting",
					"request": {
						"url": "{{url}}/repair/api/repairSystemSetting/queryRepairSystemSetting",
						"description": "",
						"event": {
							"pre_script": "",
							"test": ""
						},
						"body": {
							"mode": "form-data",
							"parameter": [],
							"raw": "",
							"raw_para": [],
							"raw_schema": []
						},
						"header": {
							"parameter": [
								{
									"description": "用户标识",
									"field_type": "String",
									"is_checked": 1,
									"key": "user_head",
									"value": "16084D92FEDF19A31AD05ED28073756C3D20D41DA43F8F78FC84ACF77BEDEDB34BEDAE6870358C8A6BCEF6448DA00228",
									"not_null": 1,
									"type": "Text"
								},
								{
									"description": "token",
									"field_type": "String",
									"is_checked": 1,
									"key": "token",
									"value": "eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJwYXNzd29yZCI6IkI5QUQyOUQ1N0IwMTk0RTU1NDc3NkQ1QzE3QjM1NUM2IiwiZXhwIjoxNjk1NzE2OTU0LCJpYXQiOjE2OTU2MzA1NTQsImFjY291bnQiOiJhZG1pbiJ9.wZPVOkNTWfYHPJ-staSUQKFC8TJQYZIkdV1wNc_8RAE",
									"not_null": 1,
									"type": "Text"
								}
							]
						}
					},
					"response": {
						"success": {
							"raw": "",
							"parameter": [],
							"expect": {
								"name": "成功",
								"isDefault": -1,
								"code": 200,
								"contentType": "json",
								"verifyType": "mock",
								"mock": "{}",
								"schema": {
									"type": "object"
								}
							}
						},
						"error": {
							"raw": "",
							"parameter": [],
							"expect": {
								"name": "失败",
								"isDefault": -1,
								"code": 201,
								"contentType": "json",
								"verifyType": "mock",
								"mock": "",
								"schema": {
									"type": "object"
								}
							}
						}
					},
					"children": []
				},
				{
					"target_type": "api",
					"name": "登录接口",
					"mark": "complated",
					"sort": 1,
					"tags": [],
					"method": "POST",
					"mock": "{}",
					"mock_url": "/repair/api/login/Login",
					"request": {
						"url": "{{url}}/repair/api/login/Login",
						"description": "",
						"event": {
							"pre_script": "",
							"test": ""
						},
						"body": {
							"mode": "json",
							"parameter": [
								{
									"description": "",
									"is_checked": 1,
									"key": "files",
									"type": "File",
									"not_null": "1",
									"field_type": "File",
									"value": "D:\\upload\\3d323299-583e-4765-b9d5-50fdf40cdc1a.jpg"
								}
							],
							"raw": "{\r\n    \"account\":\"admin\",\r\n    \"password\":\"123456\"\r\n}",
							"raw_para": [],
							"raw_schema": []
						}
					},
					"response": {
						"success": {
							"raw": "",
							"parameter": [],
							"expect": {
								"name": "成功",
								"isDefault": -1,
								"code": 200,
								"contentType": "json",
								"verifyType": "mock",
								"mock": "{}",
								"schema": {
									"type": "object"
								}
							}
						},
						"error": {
							"raw": "",
							"parameter": [],
							"expect": {
								"name": "失败",
								"isDefault": -1,
								"code": 201,
								"contentType": "json",
								"verifyType": "mock",
								"mock": "",
								"schema": {
									"type": "object"
								}
							}
						}
					},
					"children": []
				},
				{
					"target_type": "api",
					"name": "报修区域统计",
					"mark": "complated",
					"sort": 12,
					"tags": [],
					"method": "GET",
					"mock": "{}",
					"mock_url": "/repair/api/repairRecord/repairArea",
					"request": {
						"url": "{{url}}/repair/api/repairRecord/repairArea?state=0&currentPage=1&pageCount=10",
						"description": "报修校区统计",
						"event": {
							"pre_script": "",
							"test": ""
						},
						"body": {
							"mode": "form-data",
							"parameter": [],
							"raw": "",
							"raw_para": [],
							"raw_schema": []
						},
						"header": {
							"parameter": [
								{
									"description": "用户标识",
									"field_type": "String",
									"is_checked": 1,
									"key": "user_head",
									"value": "16084D92FEDF19A31AD05ED28073756C3D20D41DA43F8F78FC84ACF77BEDEDB34BEDAE6870358C8A6BCEF6448DA00228",
									"not_null": 1,
									"type": "Text"
								},
								{
									"description": "token",
									"field_type": "String",
									"is_checked": 1,
									"key": "token",
									"value": "eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJwYXNzd29yZCI6IkI5QUQyOUQ1N0IwMTk0RTU1NDc3NkQ1QzE3QjM1NUM2IiwiZXhwIjoxNjk1NzE2OTU0LCJpYXQiOjE2OTU2MzA1NTQsImFjY291bnQiOiJhZG1pbiJ9.wZPVOkNTWfYHPJ-staSUQKFC8TJQYZIkdV1wNc_8RAE",
									"not_null": 1,
									"type": "Text"
								}
							]
						},
						"query": {
							"parameter": [
								{
									"description": "状态\n全部：0\n本年：1\n本月：2\n本周：3\n今天：4",
									"field_type": "Integer",
									"is_checked": 1,
									"key": "state",
									"value": "0",
									"not_null": 1,
									"type": "Text"
								},
								{
									"description": "页数",
									"field_type": "Integer",
									"is_checked": 1,
									"key": "currentPage",
									"value": "1",
									"not_null": 1,
									"type": "Text"
								},
								{
									"description": "当前页面显示数据条数",
									"field_type": "String",
									"is_checked": 1,
									"key": "pageCount",
									"value": "10",
									"not_null": 1,
									"type": "Text"
								}
							]
						}
					},
					"response": {
						"success": {
							"raw": "",
							"parameter": [],
							"expect": {
								"name": "成功",
								"isDefault": -1,
								"code": 200,
								"contentType": "json",
								"verifyType": "mock",
								"mock": "{}",
								"schema": {
									"type": "object"
								}
							}
						},
						"error": {
							"raw": "",
							"parameter": [],
							"expect": {
								"name": "失败",
								"isDefault": -1,
								"code": 201,
								"contentType": "json",
								"verifyType": "mock",
								"mock": "",
								"schema": {
									"type": "object"
								}
							}
						}
					},
					"children": []
				},
				{
					"target_type": "api",
					"name": "报修校区统计",
					"mark": "complated",
					"sort": 11,
					"tags": [],
					"method": "GET",
					"mock": "{}",
					"mock_url": "/repair/api/repairRecord/repairCampus",
					"request": {
						"url": "{{url}}/repair/api/repairRecord/repairCampus?state=0",
						"description": "报修校区统计",
						"event": {
							"pre_script": "",
							"test": ""
						},
						"body": {
							"mode": "form-data",
							"parameter": [],
							"raw": "",
							"raw_para": [],
							"raw_schema": []
						},
						"header": {
							"parameter": [
								{
									"description": "用户标识",
									"field_type": "String",
									"is_checked": 1,
									"key": "user_head",
									"value": "16084D92FEDF19A31AD05ED28073756C3D20D41DA43F8F78FC84ACF77BEDEDB34BEDAE6870358C8A6BCEF6448DA00228",
									"not_null": 1,
									"type": "Text"
								},
								{
									"description": "token",
									"field_type": "String",
									"is_checked": 1,
									"key": "token",
									"value": "eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJwYXNzd29yZCI6IkI5QUQyOUQ1N0IwMTk0RTU1NDc3NkQ1QzE3QjM1NUM2IiwiZXhwIjoxNjk1NzE2OTU0LCJpYXQiOjE2OTU2MzA1NTQsImFjY291bnQiOiJhZG1pbiJ9.wZPVOkNTWfYHPJ-staSUQKFC8TJQYZIkdV1wNc_8RAE",
									"not_null": 1,
									"type": "Text"
								}
							]
						},
						"query": {
							"parameter": [
								{
									"description": "状态\n全部：0\n本年：1\n本月：2\n本周：3\n今天：4",
									"field_type": "Integer",
									"is_checked": 1,
									"key": "state",
									"value": "0",
									"not_null": 1,
									"type": "Text"
								}
							]
						}
					},
					"response": {
						"success": {
							"raw": "",
							"parameter": [],
							"expect": {
								"name": "成功",
								"isDefault": -1,
								"code": 200,
								"contentType": "json",
								"verifyType": "mock",
								"mock": "{}",
								"schema": {
									"type": "object"
								}
							}
						},
						"error": {
							"raw": "",
							"parameter": [],
							"expect": {
								"name": "失败",
								"isDefault": -1,
								"code": 201,
								"contentType": "json",
								"verifyType": "mock",
								"mock": "",
								"schema": {
									"type": "object"
								}
							}
						}
					},
					"children": []
				}
			]
		},
		{
			"target_type": "folder",
			"name": "校园报修移动端",
			"mark": "developing",
			"sort": 3,
			"tags": [],
			"request": {
				"description": ""
			},
			"children": [
				{
					"target_type": "api",
					"name": "微信授权",
					"mark": "developing",
					"sort": 14,
					"tags": [],
					"method": "GET",
					"mock": "{}",
					"mock_url": "/repair/api/login/XOpenid",
					"request": {
						"url": "{{url}}/repair/api/login/XOpenid?code=&userId=",
						"description": "",
						"event": {
							"pre_script": "",
							"test": ""
						},
						"query": {
							"parameter": [
								{
									"description": "微信code",
									"field_type": "String",
									"is_checked": 1,
									"key": "code",
									"value": "",
									"not_null": 1,
									"type": "Text"
								},
								{
									"description": "用户ID",
									"field_type": "Integer",
									"is_checked": 1,
									"key": "userId",
									"value": "",
									"not_null": 1,
									"type": "Text"
								}
							]
						}
					},
					"response": {
						"success": {
							"raw": "",
							"parameter": [],
							"expect": {
								"name": "成功",
								"isDefault": 1,
								"code": 200,
								"contentType": "json",
								"verifyType": "schema",
								"mock": "",
								"schema": {}
							}
						},
						"error": {
							"raw": "",
							"parameter": [],
							"expect": {
								"name": "失败",
								"isDefault": -1,
								"code": 404,
								"contentType": "json",
								"verifyType": "schema",
								"mock": "",
								"schema": {}
							}
						}
					},
					"children": []
				},
				{
					"target_type": "api",
					"name": "微校授权",
					"mark": "developing",
					"sort": 13,
					"tags": [],
					"method": "GET",
					"mock": "{}",
					"mock_url": "/repair/api/login/Openid",
					"request": {
						"url": "{{url}}/repair/api/login/Openid?wxcode=",
						"description": "",
						"event": {
							"pre_script": "",
							"test": ""
						},
						"query": {
							"parameter": [
								{
									"description": "小程序的微校code",
									"field_type": "String",
									"is_checked": 1,
									"key": "wxcode",
									"value": "",
									"not_null": 1,
									"type": "Text"
								}
							]
						}
					},
					"response": {
						"success": {
							"raw": "",
							"parameter": [],
							"expect": {
								"name": "成功",
								"isDefault": 1,
								"code": 200,
								"contentType": "json",
								"verifyType": "schema",
								"mock": "",
								"schema": []
							}
						},
						"error": {
							"raw": "",
							"parameter": [],
							"expect": {
								"name": "失败",
								"isDefault": -1,
								"code": 404,
								"contentType": "json",
								"verifyType": "schema",
								"mock": "",
								"schema": []
							}
						}
					},
					"children": []
				},
				{
					"target_type": "api",
					"name": "查看后端代码版本",
					"mark": "developing",
					"sort": 12,
					"tags": [],
					"method": "GET",
					"mock": "{}",
					"mock_url": "/repair/api/login/queryReduce",
					"request": {
						"url": "{{url}}/repair/api/login/queryReduce",
						"description": "",
						"event": {
							"pre_script": "",
							"test": ""
						}
					},
					"response": {
						"success": {
							"raw": "",
							"parameter": [],
							"expect": {
								"name": "成功",
								"isDefault": 1,
								"code": 200,
								"contentType": "json",
								"verifyType": "schema",
								"mock": "",
								"schema": {}
							}
						},
						"error": {
							"raw": "",
							"parameter": [],
							"expect": {
								"name": "失败",
								"isDefault": -1,
								"code": 404,
								"contentType": "json",
								"verifyType": "schema",
								"mock": "",
								"schema": {}
							}
						}
					},
					"children": []
				}
			]
		}
	],
	"envs": [
		{
			"env_id": "-1",
			"list": {
				"url": {
					"type": "1",
					"value": "http://101.42.162.31:8088/",
					"current_value": "http://101.42.162.31:8088/"
				}
			},
			"name": "默认环境",
			"pre_url": "",
			"pre_urls": {
				"default": ""
			}
		},
		{
			"env_id": "-2",
			"list": {},
			"name": "Mock环境",
			"pre_url": "https://console-mock.apipost.cn/mock/3227c6b0-40a8-4217-957f-9b15e0b349b7/",
			"pre_urls": {
				"default": "https://console-mock.apipost.cn/mock/3227c6b0-40a8-4217-957f-9b15e0b349b7/"
			}
		},
		{
			"env_id": "02e56d91-9777-4e3c-88a8-9a23469f0895",
			"list": {
				"url": {
					"current_value": "https://chtech.ncjti.edu.cn/campusMaintenance/repair-api",
					"type": "1",
					"value": "https://chtech.ncjti.edu.cn/campusMaintenance/repair-api",
					"description": ""
				}
			},
			"name": "线上地址",
			"pre_url": "",
			"pre_urls": {
				"default": ""
			}
		},
		{
			"env_id": "2012c6be-bb94-4abe-92ba-c3aa0fdbac91",
			"list": {
				"url": {
					"current_value": "https://chtech.ncjti.edu.cn/campusMaintenance/repair-api",
					"type": "1",
					"value": "https://chtech.ncjti.edu.cn/campusMaintenance/repair-api",
					"description": ""
				}
			},
			"name": "测试环境",
			"pre_url": "",
			"pre_urls": {
				"default": ""
			}
		},
		{
			"env_id": "503688d4-e4ae-49ed-9063-9066c930aa1a",
			"list": {
				"url": {
					"current_value": "http://52bun2.natappfree.cc",
					"type": "1",
					"value": "http://52bun2.natappfree.cc",
					"description": ""
				}
			},
			"name": "内网",
			"pre_url": "",
			"pre_urls": {
				"default": ""
			}
		},
		{
			"env_id": "bcdbae83-6c5d-465c-ae0c-d45f26f51959",
			"list": {
				"url": {
					"type": "1",
					"value": "http://localhost:8080/",
					"current_value": "http://localhost:8080/"
				}
			},
			"name": "本地",
			"pre_url": "",
			"pre_urls": {
				"default": ""
			}
		}
	],
	"models": []
}